Summary: Automount utilities including an updated version of Amd.
Name: am-utils
Version: 6.0.9
Release: 15.RHEL4
License: BSD
Epoch: 5
Group: System Environment/Daemons
URL: http://am-utils.org/
Source: ftp://ftp.am-utils.org/pub/am-utils/am-utils-%{version}.tar.gz
Source1: am-utils.init
Source2: am-utils.conf
Source3: am-utils.sysconf
Source4: am-utils.net.map
Patch0: am-utils-fix-autotools.patch
Patch1: am-utils-gdbm.patch
Patch2: am-utils-mtablock.patch
Patch3: am-utils-nfs-noacl.patch

BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: gdbm-devel, hesiod-devel, openldap-devel autoconf automake libtool
Requires: portmap, grep, gawk, findutils
Prereq: /sbin/install-info, /sbin/chkconfig, grep
Obsoletes: amd

# We need to filter out some perl requirements for now.
%define _use_internal_dependency_generator 0
%define old_find_requires %{__find_requires}

%description
Am-utils includes an updated version of Amd, the popular BSD
automounter.  An automounter is a program which maintains a cache 
of mounted filesystems.  Filesystems are mounted when they are 
first referenced by the user and unmounted after a certain period of 
inactivity. Amd supports a variety of filesystems, including NFS, UFS, 
CD-ROMS and local drives.  

You should install am-utils if you need a program for automatically
mounting and unmounting filesystems.

%prep
%setup -q
%patch0 -p1 -b .fix-autotools
%patch1 -p1 -b .gdbm
%patch2 -p1 -b .mtablock
%patch3 -p1 -b .nfs-noacl
./bootstrap

find_requires=%{old_find_requires}
echo "$find_requires | grep -v lostaltmail.conf" > find-requires
chmod +x find-requires

%build
%configure \
	--enable-shared \
	--enable-am-cflags="$RPM_OPT_FLAGS" \
	--enable-libs="-lnsl -lresolv"
make %{?_smp_flags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d}
install -m 644 $RPM_SOURCE_DIR/am-utils.sysconf $RPM_BUILD_ROOT/etc/sysconfig/amd
#install -m 755 scripts/redhat-ctl-amd $RPM_BUILD_ROOT/etc/rc.d/init.d/amd
install -m 755 $RPM_SOURCE_DIR/am-utils.init $RPM_BUILD_ROOT/etc/rc.d/init.d/amd
gzip -q9f $RPM_BUILD_ROOT/%{_infodir}/*info*
mkdir -p $RPM_BUILD_ROOT/.automount
rm -f $RPM_BUILD_ROOT/usr/sbin/ctl-amd

# add symlinks to shared libs
/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_libdir}

# install the default config and map files
install -m 600 %{SOURCE2} $RPM_BUILD_ROOT/etc/amd.conf
install -m 640 %{SOURCE4} $RPM_BUILD_ROOT/etc/amd.net

# We don't build a -devel package.
rm -f $RPM_BUILD_ROOT/%{_libdir}/libamu.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/libamu.la

# We don't include the info directory.
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

# Remove the other sample config file.
rm -f $RPM_BUILD_ROOT/etc/amd.conf-sample
rm -f $RPM_BUILD_ROOT/etc/lostaltmail.conf-sample

%clean
rm -rf $RPM_BUILD_ROOT

%define __find_requires %{_builddir}/%{name}-%{version}/find-requires

%pre
# Check if we have an old fashioned amd.conf and rename if to amd.net
if test "$1" -ne 0
then if test -r /etc/amd.conf
     then if grep -v -q "auto_dir" /etc/amd.conf
          then if test ! -e /etc/amd.net
	       then mv -f /etc/amd.conf /etc/amd.net
	       fi
          fi
     fi
fi

%post
/sbin/ldconfig
/sbin/chkconfig --add amd
/sbin/install-info %{_infodir}/am-utils.info.gz %{_infodir}/dir

%preun
if [ $1 -eq 0 ]; then
   /sbin/install-info --delete %{_infodir}/am-utils.info.gz %{_infodir}/dir
   /sbin/service amd stop >/dev/null 2>&1
   /sbin/chkconfig --del amd
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service amd condrestart >/dev/null 2>&1
fi
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/*.ps AUTHORS BUGS ChangeLog NEWS README* scripts/*-sample
%dir /.automount
%{_bindir}/expn
%{_bindir}/pawd
%{_sbindir}/*
%{_mandir}/man[58]/*
%{_mandir}/man1/expn.1*
%{_mandir}/man1/pawd.1*
%config(noreplace) /etc/amd.net
%config(noreplace) /etc/amd.conf
%config(noreplace) /etc/sysconfig/amd
%config /etc/rc.d/init.d/amd
%{_infodir}/*info*.gz
%{_libdir}/libamu.so.*

%changelog
* Mon Jul 04 2005 Peter Vrabec <pvrabec@redhat.com> 6.0.9-15.RHEL4
- add noacl flag support (#143229)
  
* Mon Jul 04 2005 Peter Vrabec <pvrabec@redhat.com> 6.0.9-14.RHEL4
- fix the regression introduced with (#143118) fix

* Fri Mar 25 2005 Peter Vrabec <pvrabec@redhat.com> 6.0.9-13.RHEL4
- fix find_requires in spec file

* Thu Mar 24 2005 Peter Vrabec <pvrabec@redhat.com> 6.0.9-12.RHEL4
- fix find_requires in spec file

* Thu Mar 24 2005 Peter Vrabec <pvrabec@redhat.com> 6.0.9-11.RHEL4
- fix the am-utils part of #143118 by implementing the util-linux
  mtab locking scheme into am-utils automounter, patch and testing
  by Daniel Berrange <berrange@redhat.com>, improved locking
  algorithm by <prockai@redhat.com> (which allows for several
  hundred or even thousand of parallel makes to finish
  successfully and keep /etc/mtab in sync with /proc/mounts  as well)
     
* Tue Oct 12 2004 Adrian Havill <havill@redhat.com> 6.0.9-10
- cleanup %pre script so amd.conf won't get stat()ed if it doesn't
  exist (#126656)

* Wed Sep  1 2004 Nalin Dahyabhai <nalin@redhat.com> 6.0.9-9
- really fix %%preun this time

* Tue Aug 31 2004 Nalin Dahyabhai <nalin@redhat.com> 6.0.9-8
- rebuild

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Mar 15 2004 Nalin Dahyabhai <nalin@redhat.com>
- fix incorrect invocation of test in %%pre and %%preun

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Nov 11 2003 Nalin Dahyabhai <nalin@redhat.com> 6.0.9-5
- change permissions on /etc/sysconfig/amd from 0755 to 0644 (#109681)

* Tue Aug  5 2003 Elliot Lee <sopwith@redhat.com> 6.0.9-4
- Fix libtool

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 04 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add symlink to shared lib

* Fri Jan 31 2003 Nalin Dahyabhai <nalin@redhat.com> 6.0.9-1
- update to 6.0.9
- disable RPM's internal dependency calculation so that we can filter out
  dependencies which are expected to be filled in by the site administrator

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 6.0.8-3
- rebuild

* Wed Oct 30 2002 Nalin Dahyabhai <nalin@redhat.com> 6.0.8-1
- update to 6.0.8

* Tue Aug 27 2002 Nalin Dahyabhai <nalin@redhat.com> 6.0.7-9
- rebuild

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 29 2002 Nalin Dahyabhai <nalin@redhat.com> 6.0.7-7
- adjust the perl reqs so that the lostaltmail config files aren't required
  by RPM

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May  9 2002 Nalin Dahyabhai <nalin@redhat.com> 6.0.7-5
- rebuild in new environment

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 6.0.7-4
- rebuild in new environment

* Sat Jan 26 2002 Jeff Johnson <jbj@redhat.com>
- add Provides: to white out certain perl Requires:

* Wed Jan 23 2002 Nalin Dahyabhai <nalin@redhat.com> 6.0.7-2
- rebuild in new environment
- require gdbm-devel at build-time instead of db1-devel

* Thu Sep  6 2001 Nalin Dahyabhai <nalin@redhat.com> 6.0.7-1
- update to 6.0.7, fixing EIO on access bugs (#53251)
- back out nfs3 patch; no longer needed for current kernels
- don't explicitly strip binaries; let the buildroot policies handle it

* Wed Jul 18 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild

* Mon Jun 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- add BuildPrereq: db1-devel (#44987)
- use FHS macros
- return error codes correctly from init script (#44597)

* Tue May 22 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 6.0.6

* Sat Apr  7 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 6.0.5
- remove /net from the default MOUNTPTS

* Tue Mar 13 2001 Nalin Dahyabhai <nalin@redhat.com>
- use MOUNTPTS when starting

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Wed Feb 14 2001 Nalin Dahyabhai <nalin@redhat.com>
- redo i18n for the init script (#24082)

* Tue Jan 23 2001 Nalin Dahyabhai <nalin@redhat.com>
- re-do workaround from advice from the am-utils maintainers
- redo i18n for the init script

* Sat Jan 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- work around clash with nfs3_fh definition in 2.4

* Tue Jan 16 2001 Nalin Dahyabhai <nalin@redhat.com>
- gettextize the init script (#24087)

* Tue Dec 19 2000 Nalin Dahyabhai <nalin@redhat.com>
- add ldconfig to %%postun
- chuck the hesiod patch -- new bind-utils doesn't have the support for it

* Fri Sep  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- only create /var/lock/subsys/amd if startup succeeds
- revamp shutdown procedure to minimize time spent just spinning
- change initscripts dependency to /etc/init.d

* Tue Jul  4 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- delete noreplace from initscript

* Wed Jun 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix postun script
- add requires: initscripts

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- remove unnecessary libamu.so symlink

* Mon Jun 26 2000 Nalin Dahyabhai <nalin@redhat.com>
- move init script to /etc/init.d
- add URL: tag

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>
- noreplace config files
- gracefully stop/restart service

* Fri Jun 16 2000 Matt Wilson <msw@redhat.com>
- FHS paths
- 6.0.4 snapshot (as it builds against kernel 2.4 headers)

* Wed Feb 16 2000 Cristian Gafton <gafton@redhat.com>
- version 6.0.3
- enhance init script to be more wait4amd2die-like
- make default map type to be file (#9185)
- get rid of the kludges

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- man pages are compressed
- version 6.0.2
- fix descriptions

* Mon Sep 13 1999 Cristian Gafton <gafton@redhat.com>
- version 6.0.1 final

* Tue Aug 24 1999 Cristian Gafton <gafton@redhat.com>
- remove the noldap patch
- add amd.net file as the default config map file
- change the config file to teh new config file format instead of a
  simple map file name.
- try to avoid some damage with a new %pre script
- prereq grep now
- modify the init file so it calls amd -F /etc/amd.conf now

* Tue Aug 24 1999 Bill Nottingham <notting@redhat.com>
- update to 6.0.1s11

* Fri Jun 19 1999 Bill Nottingham <notting@redhat.com>
- don't run by default

* Mon May 31 1999 Kenneth Skaar <kenneths@regina.uio.no>
- Fixed amd -F core dump and related dumps by other programs 

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- kill -HUP on reload, restart does a real restart.

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- twiddle an echo in initscript

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- version 6.0 proper
- Serial:1 because to enforce versioning

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- rebuild for glibc 2.1
- strip all binaries

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- add missing ':' to default 'opts:=nosuid,nodev'
- install info pages

* Mon Jul 13 1998 Cristian Gafton <gafton@redhat.com>
- added the NIS support that the broken configure script failed to detect

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- disabled autofs support on alpha
- run ldconfig in postinstall

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- new package to replace the old and unmaintained amd
